MCP tools reference: storage.googleapis.com

Tool: list_buckets

Retrieves a list of buckets for a given project, ordered in the list lexicographically by name.

The following example shows how to use curl to invoke the list_buckets MCP tool:

Curl request
curl --location 'https://storage.googleapis.com/storage/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_buckets",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input schema

ListBucketsRequest

JSON representation
{
  "projectId": string
}
Fields
projectId

string

Required.

Output schema

ListBucketsResponse

JSON representation
{
  "bucketNames": [
    string
  ]
}
Fields
bucketNames[]

string

The list of bucket names.

Tool Annotations

Destructive hint: ❌ | Idempotent hint: ✅ | Read-only hint: ✅ | Open-world hint: ❌